# == Class: guest_tools
# Install and Configure vm guest tools
# === Authors
#
# Victor Jose Acosta <vic.ad94@gmail.com>
#
# === Copyright
#
# Copyright 2016 Victor Jose Acosta.

class guest_tools {
  if $::is_virtual {
    if $::virtual == 'vmware' {
      package { 'guest_tools_open_vm_tools':
        ensure => 'installed',
        name   => 'open-vm-tools',
      }

      service { 'guest_tools-vmtoolsd':
        ensure  => 'running',
        require => Package['guest_tools_open_vm_tools'],
        name    => 'vmtoolsd',
        enable  => true,
      }
    } elsif $::virtual == 'kvm' {
      if $::manufacturer == 'oVirt' {
        package { 'guest_tools_ovirt_tools_epel':
          ensure => 'installed',
          name   => 'epel-release',
        }

        package { 'guest_tools_ovirt_tools':
          ensure  => 'installed',
          require => Package['guest_tools_ovirt_tools_epel'],
          name    => 'ovirt-guest-agent-common',
        }

        service { 'guest_tools_ovirt-guest-agent-service':
          ensure  => 'running',
          require => Package['guest_tools_ovirt_tools'],
          name    => 'ovirt-guest-agent',
          enable  => true,
        }
      } else {
        package { 'guest_tools_qemu_tools':
          ensure => 'installed',
          name   => 'qemu-guest-agent',
        }

        service { 'guest_tools_ovirt-guest-agent-service':
          ensure  => 'running',
          require => Package['guest_tools_qemu_tools'],
          name    => 'qemu-guest-agent',
          enable  => true,
        }
      }
    }
  }
}
